Subject: Re: bug#21828: 24.4; copy-abbrev-table fails

From: Lee B <[email-masked]>
Date: Sun, 08 Nov 2015 10:30:39 +0900

Hello Artur, Eli,

On Sun, Nov 08 2015, Artur Malabarba wrote:

> On 7 Nov 2015 6:11 pm, "Eli Zaretskii" <[email-masked]> wrote:
>>
>> > Date: Sat, 7 Nov 2015 18:03:52 +0000
>> > From: Artur Malabarba <[email-masked]>
>> > Cc: Lee B <[email-masked]>, [email-masked]
>> >
>> > > (This bug was there ever since we rewrote abbrev.c in Lisp 8 years
>> > > ago.)

Thanks for the fix, Eli. I intend to study it later today.

>> >
>> > Oh, the beauty of writing tests.
>> > Is that a sign that this function isn't really used at all and might
>> > as well be marked as obsolete? :-D
>>
>> It is not used in Emacs. But the OP evidently needed it, so making it
>> obsolete is premature, I think.
>
> Actually, the OP spotted this while writing tests for abbrev.el.
> And the fact that no-one reported this for 8 years is at least a mild
> indication that nobody's using it. :-)

I see abbrev-tests.el has appeared in my latest pull this morning - how should I
proceed re: merging my abbrev-tests.el into that file? (Assignment
papers were posted back to FSF this week)

Lee.